
import java.io.* ;
import java.rmi.* ;
import java.rmi.server.UnicastRemoteObject ;

public class TaskSourceImpl extends UnicastRemoteObject implements TaskSource {

  public Runnable getTask() throws java.rmi.RemoteException {

    //System.out.println("annotation for stub: " +
//             java.rmi.server.RMIClassLoader.getClassAnnotation(TaskSourceImpl_Stub.class)) ;

    System.out.println("annotation for Task: " +
             java.rmi.server.RMIClassLoader.getClassAnnotation(Task.class)) ;

    return new Task() ;
  }

  public TaskSourceImpl() throws RemoteException {}

  public static void main(String arg[]) {
    System.setSecurityManager(new RMISecurityManager()) ;

    try {
      Naming.rebind("//osprey3.npac.syr.edu:9991/TaskSource",
                    new TaskSourceImpl()) ;

    }
    catch (RemoteException e) {
      System.out.println("Error: " + e) ;
    }
    catch (java.net.MalformedURLException e) {
      System.out.println("URL Error: " + e) ;
    }
  }
}

